Package generic.theme

# Class DiscoverableGTheme

java.lang.Object
generic.theme.GThemeValueMap
generic.theme.GTheme
generic.theme.DiscoverableGTheme

All Implemented Interfaces:
  `ExtensionPoint`

Direct Known Subclasses:
  `CDEMotifTheme`, `FlatDarkTheme`, `FlatLightTheme`, `GTKTheme`, `MacTheme`, `MetalTheme`, `NimbusTheme`, `WindowsClassicTheme`, `WindowsTheme`

public abstract class DiscoverableGTheme extends GTheme implements ExtensionPoint
Abstract base class for built-in `GTheme`s.

- ## Field Summary

  ### Fields inherited from class generic.theme.GTheme

  `FILE_EXTENSION, FILE_PREFIX, JAVA_ICON, ZIP_FILE_EXTENSION`

  ### Fields inherited from class generic.theme.GThemeValueMap

  `colorMap, fontMap, iconMap, propertyMap`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DiscoverableGTheme(String name, LafType lookAndFeel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getThemeLocater()`
  Returns a String that can be used to find and restore this theme.
  `boolean`
  `isReadOnly()`
  Returns true if this theme can not be changed

  ### Methods inherited from class generic.theme.GTheme

  `equals, getFile, getLookAndFeelType, getName, hashCode, hasSupportedLookAndFeel, loadTheme, save, setColor, setColorRef, setFont, setFontRef, setIcon, setIconRef, toString, useDarkDefaults`

  ### Methods inherited from class generic.theme.GThemeValueMap

  `addColor, addFont, addIcon, addProperty, checkForUnresolvedReferences, clear, containsColor, containsFont, containsIcon, containsProperty, getChangedValues, getColor, getColorIds, getColors, getExternalIconFiles, getFont, getFontIds, getFonts, getIcon, getIconIds, getIcons, getProperties, getProperty, getPropertyIds, getResolvedColor, getResolvedFont, getResolvedIcon, getResolvedProperty, isEmpty, load, removeColor, removeFont, removeIcon, removeProperty, size`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DiscoverableGTheme

    protected DiscoverableGTheme(String name, LafType lookAndFeel)

- ## Method Details

  - ### getThemeLocater

    public String getThemeLocater()
    Description copied from class: `GTheme`
    Returns a String that can be used to find and restore this theme.
    Overrides:
      `getThemeLocater` in class `GTheme`
    Returns:
      a String that can be used to find and restore this theme.

  - ### isReadOnly

    public boolean isReadOnly()
    Description copied from class: `GTheme`
    Returns true if this theme can not be changed
    Overrides:
      `isReadOnly` in class `GTheme`
    Returns:
      true if this theme can not be changed